Java.com

Télécharger Aide

Version imprimable

Utilisation de Java avec le navigateur Google Chrome


Cet article s'applique aux éléments suivants:
  • Navigateur(s): Chrome
  • Version(s) de Java: 7.0, 8.0

Prise en charge de NPAPI par Chrome

Le plug-in Java pour les navigateurs Web est basé sur l'architecture de plug-in interplate-forme NPAPI, qui est depuis longtemps et encore à ce jour pris en charge par l'ensemble des principaux navigateurs Web. En septembre 2013, Google a annoncé qu'il comptait supprimer la prise en charge de NPAPI par Chrome d'ici à la fin de l'année 2014, supprimant ainsi la prise en charge pour Silverlight, Java, Facebook Video et d'autres plug-ins similaires basés sur NPAPI. Google a récemment modifié son plan et a indiqué qu'il comptait supprimer complètement la prise en charge de NPAPI à la fin de l'année 2015. Dans la mesure où il est impossible de savoir si ce délai sera à nouveau prolongé, nous recommandons vivement aux utilisateurs de Java d'envisager une alternative à l'utilisation de Chrome dès que possible. Nous recommandons l'utilisation de Firefox, d'Internet Explorer et de Safari comme solutions à plus long terme. Depuis avril 2015 et Chrome version 42, Google a ajouté des étapes de configuration supplémentaires pour l'exécution des plug-ins basés sur NPAPI comme Java. Reportez-vous à la section Activation de NPAPI dans Chrome version 42 et ultérieur ci-dessous.


Google Chrome 64 bits sous Windows

A compter de Chrome version 37, Chrome est disponible au format 64 bits sous Windows. En cas d'exécution de Chrome 64 bits, l'utilisateur doit également avoir installé Java 64 bits.
» Windows et Java 64 bits


Java et Chrome sous Mac OS X

Un navigateur 64 bits est requis pour exécuter Oracle Java 64 bits sur Mac OS X. La version 64 bits de Chrome pour Mac est maintenant disponible avec Chrome version 39. Pour plus d'informations, reportez-vous à Chrome 64 bits (blog.chromium.org).


Chrome et Linux

A compter de Chrome version 35, la prise en charge de NPAPI (Netscape Plug-in API) a été enlevée pour la plate-forme Linux. Pour plus d'informations, reportez-vous à Chrome et NPAPI (blog.chromium.org).

Firefox est le navigateur recommandé pour Java sur Linux.


Activation de NPAPI dans Chrome version 42 et ultérieur

Depuis Chrome version 42, une étape de configuration supplémentaire est requise pour continuer à utiliser les plug-ins NPAPI.

  1. Dans la barre d'URL, saisissez :
    chrome://flags/#enable-npapi
  2. Cliquez sur le lien Activer pour l'option de configuration Activer NPAPI.
  3. Cliquez sur le bouton Relancer qui apparaît en bas de la page de configuration.

Les développeurs et administrateurs système recherchant des solutions alternatives pour la prise en charge des utilisateurs de Chrome sont invités à consulter ce blog, en particulier les sections relatives à l'exécution d'applications Web Start en dehors d'un navigateur et aux options de déploiement supplémentaires.


Le plug-in Java requiert une autorisation

Dans Chrome, si vous obtenez le message L'exécution de Java(TM) requiert votre autorisation, vous devez répondre aux options de Chrome pour exécuter les plug-ins sur la page. Les options disponibles varient en fonction de la version de Chrome.

Icône de plug-in bloqué Chrome (dans la barre d'adresse)

Recherchez l'icône de plug-in bloqué dans la barre d'adresse Chrome. Cliquez sur l'icône pour afficher le message Des plug-ins ont été bloqués sur cette page et les options de plug-in.

  • Cliquez sur Toujours autoriser les plug-ins sur [nom du site] pour permettre l'exécution des plug-ins (y compris Java) sur toutes les pages de ce site.
  • Cliquez sur Exécuter tous les plug-ins cette fois pour autoriser l'exécution du contenu des plug-ins (y compris Java) sur la page jusqu'à ce que vous la quittiez.
  • Cliquez sur Continuer à bloquer les plug-ins pour empêcher leur exécution sur la page.
Barre de message Chrome
  • Cliquez sur Exécuter cette fois pour autoriser l'exécution du contenu Java sur la page uniquement jusqu'à ce que vous quittiez cette dernière.
  • Cliquez sur Toujours exécuter pour ce site pour autoriser l'exécution de Java sur toutes les pages du site. Ce message ne s'affichera plus pour les pages du site.

De plus, vous pouvez gérer les autorisations par site via l'option Gérer le blocage du plug-in.

Plug-in supplémentaire requis

Si une barre s'affiche dans Google Chrome indiquant que Java(TM) est requis pour afficher certains éléments sur cette page, cliquez sur Installer le plug-in qui figure dans la barre de message de Google Chrome ou téléchargez-le sur le site java.com.


Plug-in obsolète

Si une barre s'affiche dans Google Chrome indiquant que Java(TM) est bloqué car il est obsolète, cliquez sur Mettre à jour le plug-in qui figure dans la barre de message de Google Chrome pour obtenir la dernière version de Java.


INFORMATIONS ASSOCIÉES



Sélectionner une langue | A propos de Java | Support technique | Développeurs
Politique de confidentialité | Conditions d'utilisation | Trademarks | Avis de non-responsabilité

Oracle